Как узнать версию qt ubuntu
Перейти к содержимому

Как узнать версию qt ubuntu

  • автор:

Вывод версии Qt в программе.

А можно ли получить еще суффикс «-1» в случае версии из установочного файла qt-opensource-linux-x64-5.6.1-1.run.
И второй вопрос, почему добавляют этот суффикс, а не увеличивают младший номер версии?

rumgot ★★★★★
14.07.16 15:27:29 MSK

Как я понимаю, это версия самого пакета, или типа того

false ★★★★★
( 14.07.16 15:30:40 MSK )
Ответ на: комментарий от false 14.07.16 15:30:40 MSK

Или загрузчик нашёл файл с таким названием. 🙂

a1batross ★★★★★
( 14.07.16 15:33:22 MSK )
Ответ на: комментарий от a1batross 14.07.16 15:33:22 MSK

Там на их сервере целый каталог на данную версию с дистрибутивами под разные ОС:
http://download.qt.io/official_releases/qt/5.6/5.6.1-1/

rumgot ★★★★★
( 14.07.16 15:35:51 MSK ) автор топика
Ответ на: комментарий от a1batross 14.07.16 15:33:22 MSK
false ★★★★★
( 14.07.16 15:38:57 MSK )
Ответ на: комментарий от rumgot 14.07.16 15:35:51 MSK

Это был срочный багфикс. Рассылку можно с попкорном читать было, если инересно — вот.

fluorite ★★★★★
( 14.07.16 15:43:47 MSK )
Последнее исправление: fluorite 14.07.16 15:45:01 MSK (всего исправлений: 1)

Ответ на: комментарий от fluorite 14.07.16 15:43:47 MSK
rumgot ★★★★★
( 14.07.16 15:53:13 MSK ) автор топика

-1, -2 — это срочные багфиксы, а не версии Qt, когда разрабы выкатывают пакет Qt, а он тупо не работает должным образом.

Они походу вообще нихера не тестируют.

EXL ★★★★★
( 14.07.16 16:02:08 MSK )
Ответ на: комментарий от EXL 14.07.16 16:02:08 MSK

М-да уж. Все-таки было бы удобнее, чтобы из программы можно было видеть этот номер.

rumgot ★★★★★
( 14.07.16 16:17:39 MSK ) автор топика
Последнее исправление: rumgot 14.07.16 16:17:55 MSK (всего исправлений: 1)

Ответ на: комментарий от a1batross 14.07.16 15:33:22 MSK

не, обычно добавляют суффикс «(*какая-то цифра*)» к файлу.

Reedych ★☆
( 14.07.16 17:03:04 MSK )

А можно ли получить еще суффикс «-1» в случае версии из установочного файла qt-opensource-linux-x64-5.6.1-1.run.

Нет, потому что нет такой верси

И второй вопрос, почему добавляют этот суффикс, а не увеличивают младший номер версии?

Это косяк. В 5.6.1 обнаружили критический баг в одном из модулей, но релизить 5.6.2 с соблюдением процедуры времени не было. Обещают, что больше такое не повторится.

Что за Qt-version?

введите сюда описание изображения

Установил я Qt. Не могу создать проект из-за того, что нет какой-то Qt-version. Что делать?

Отслеживать
77k 6 6 золотых знаков 57 57 серебряных знаков 123 123 бронзовых знака
задан 8 фев 2018 в 19:28
367 2 2 серебряных знака 14 14 бронзовых знаков

Можно попробовать перезапустить креатор и нужно убедиться, что Qt стоит. Креатор не обязан быть вместе с Qt, т.к. можно много версий Qt на одной машине держать

8 фев 2018 в 19:36
Просит валидный кит под widget app, скорее всего проблема в qt-versions. Хотя я не уверен
8 фев 2018 в 19:38
Перезапускал. Ничего.
8 фев 2018 в 19:39

Kit = Qt + Компилятор + Отладчик. Нужно проверить что установлена хоть какая-нибудь версия Qt. Кст, какая ОС?

8 фев 2018 в 19:40
Elementary OS. Был установлен лишь qt creator..
8 фев 2018 в 20:03

1 ответ 1

Сортировка: Сброс на вариант по умолчанию

У вас, скорее всего, нет самого Qt. В старые добрые времена был sdk, теперь надо ставить все по отдельности.

1. Ставим Creator

C этим шагом вы, очевидно, уже справились. Если что, новые версии можно брать здесь.

2. Ставим компилятор и отладчик

Как я понял у вас линукс. Можете поставить компилятор и отладчик из репозитория. Скажем, gcc и gdb

3. Ставим QT

Скачиваем нужную версию отсюда. Можно держать сразу несколько версий, если необходимо.

На этом этапе, скорее всего, qt creator сам подхватит все необходимое. Если вдруг нет, то пройдитесь по вкладке Build & Run и настройте все там.

Как узнать версию qt ubuntu

Загрузка. Пожалуйста,
подождите.

Здравствуйте, Гость ( Вход | Регистрация | Что даёт регистрация на форуме? )

Дата 11.4.2012, 09:56 (ссылка) | (нет голосов) Загрузка .

Профиль
Группа: Участник
Сообщений: 61
Регистрация: 9.4.2009

Репутация: нет
Всего: нет

Как узнать версию установленного Qt из своей программы?
В консоли допустим

Код
qmake -v
QMake version 2.01a
Using Qt version 4.8.1 in /usr/lib/qt4

Мне было бы достаточно узнать что — Qt version 4.8.1

Дата 11.4.2012, 10:59 (ссылка) | (нет голосов) Загрузка .

Профиль
Группа: Участник
Сообщений: 886
Регистрация: 17.2.2009

Репутация: 7
Всего: 17

Дата 11.4.2012, 12:23 (ссылка) | (нет голосов) Загрузка .

Профиль
Группа: Участник
Сообщений: 61
Регистрация: 9.4.2009

Репутация: нет
Всего: нет

Amp,
Спасибо

  • В заголовке темы в квадратных скобках обозначьте используемую вами библиотеку, например: [QT],[GTK],[wx].
  • Если вопрос актуален только для некоторой версии библиотеки, либо, если вы пользуетесь не самой последней версией, укажите это. Например: [QT4], [GTK2].
  • Все начинающие изучать Qt — не забудьте зайти сюда.
  • Проставьте несколько ключевых слов темы, чтобы её можно было легче найти.
  • В вопросе укажите полную версию версию библиотеки, а также все дополнительные используемые программные пакеты.
  • Не забывайте пользоваться кнопкой «Код».
  • Телепатов на форуме нет! Задавайте чёткий, конкретный и полный вопрос. Указывайте полностью ошибки компилятора и компоновщика.
  • Новое сообщение должно иметь прямое отношение к тематике этого раздела. Флуд, флейм, оффтопик запрещены.
  • Категорически запрещается обсуждение вареза, «кряков», взлома программ и т.д.

Если Вам понравилась атмосфера форума, заходите к нам чаще! С уважением, JackYF, Любитель.

0 Пользователей читают эту тему (0 Гостей и 0 Скрытых Пользователей)
0 Пользователей:
« Предыдущая тема | С/С++: Кроссплатформенное программирование, Qt/Gtk+/wxWidgets | Следующая тема »

[ Время генерации скрипта: 0.1094 ] [ Использовано запросов: 21 ] [ GZIP включён ]

Как узнать версию qt ubuntu

Просмотр профиля

20.3.2011, 11:17

Группа: Новичок
Сообщений: 5
Регистрация: 19.3.2011
Пользователь №: 2523

Репутация: 0

Я новичок начинающий изучать Qt.
Подскажите, как определить версию Qt3 или Qt4 в предустановленном SLED 11?
Qt Desinger, Qt Assistant в меню отсутствуют.

опции профиля:

Просмотр профиля

20.3.2011, 16:03

Группа: Участник
Сообщений: 1654
Регистрация: 24.5.2010
Из: Харьков
Пользователь №: 1752

Репутация: 212

qmake -v

опции профиля:

Просмотр профиля

22.3.2011, 21:07

Группа: Новичок
Сообщений: 5
Регистрация: 19.3.2011
Пользователь №: 2523

Репутация: 0

qmake -v
пишет нет такой команды.

опции профиля:

Просмотр профиля

22.3.2011, 22:15

Группа: Участник
Сообщений: 221
Регистрация: 16.12.2010
Из: СПб
Пользователь №: 2272

Репутация: 4

в qt\bin должна быть запускалка QtAssistant,
если запустится, то справка / о программе
хотя бы так

а вообще в линуксе есть пакетный менеджер

опции профиля:

Просмотр профиля

24.3.2011, 7:41

Группа: Новичок
Сообщений: 5
Регистрация: 19.3.2011
Пользователь №: 2523

Репутация: 0

Проверил qmake -v на другой системе показывает версию qmake и Qt.
Значит Qt не установлено. Утилита qmake входит Qt.
Я рассуждаю правильно?

опции профиля:

Просмотр профиля

24.3.2011, 14:02

Группа: Участник
Сообщений: 221
Регистрация: 16.12.2010
Из: СПб
Пользователь №: 2272

Репутация: 4

ну. похоже на то.

опции профиля:

Просмотр профиля

27.3.2011, 21:16

Группа: Новичок
Сообщений: 5
Регистрация: 19.3.2011
Пользователь №: 2523

Репутация: 0

Установил Qt из бинарнного файла, настроил переменную PATH. Работает.
qmake -v
Показывает версию qmake и Qt.
Спасибо RazrFalcon.
Спасибо abc.
Благодарю за информацию и участие.

Добавить комментарий

Ваш адрес email не будет опубликован. Обязательные поля помечены *